toolchain stuff

Kevin Day thekevinday at gmail.com
Tue Jun 12 07:04:31 PDT 2007


On 6/7/07, Kevin Day <thekevinday at gmail.com> wrote:
> On 6/7/07, Robert Connolly <robert at linuxfromscratch.org> wrote:
> > Glibc-2.6 and GCC-4.2 are out, but I'd like to keep Glibc-2.5 and gcc-4.1.x.
> > Neither of the new packages have added any significant hardening changes, and
> > they're both going to take 6-12 months to stabilize with other packages.
> >
>
> As I was working out problems with uClibc-0.9.29, I discovered that
> gcc-4.2.0 is not only more stable than the gcc-4.1.x series, but also
> had fewer problems that the gcc-3.4.6.
>
> It may not be worth rushing it in at this point, but it is very much
> worth considering.
>
> --
> Kevin Day
>
I take that back, it looks like when openssh is compiled under
gcc-4.2.0, ssh-keygen fails to generate keys and instead gets an
Invalid Instruction from the kernel.
Changing only the gcc to gcc-4.1.2, this error goes away..

-- 
Kevin Day



More information about the hlfs-dev mailing list